class Exception (View source)
| protected FlattenException | $exception | The "flattened" exception instance. | |
| protected Request | $request | The current request instance. | |
| protected Listener | $listener | The exception listener instance. | |
| protected string | $basePath | The application's base path. |
| void | __construct(FlattenException $exception, Request $request, Listener $listener, string $basePath)
Creates a new exception renderer instance. | |
| string | title()
Get the exception title. | |
| string | message()
Get the exception message. | |
| string | class()
Get the exception class name. | |
| int | defaultFrame()
Get the first "non-vendor" frame index. | |
| Frame> | frames()
Get the exception's frames. | |
| Request | request()
Get the exception's request instance. | |
| array<string,string> | requestHeaders()
Get the request's headers. | |
| string|null | requestBody()
Get the request's body parameters. | |
| array<string,string> | applicationRouteContext()
Get the application's route context. | |
| array<string,mixed>|null | applicationRouteParametersContext()
Get the application's route parameters context. | |
| applicationQueries()
Get the application's SQL queries. |
Creates a new exception renderer instance.
Get the exception title.
Get the exception message.
Get the exception class name.
Get the first "non-vendor" frame index.
Get the exception's frames.
Get the exception's request instance.
Get the request's headers.
Get the request's body parameters.
Get the application's route context.
Get the application's route parameters context.
Get the application's SQL queries.
© Taylor Otwell
Licensed under the MIT License.
Laravel is a trademark of Taylor Otwell.
https://laravel.com/api/11.x/Illuminate/Foundation/Exceptions/Renderer/Exception.html